#!/usr/bin/env python
"""
This is the doc string for the module/script.
"""
import os
from datetime import datetime

dir_name = input("Enter directory name: ")

for (currdir, subdirs, files) in os.walk(dir_name):
    for filename in files:
        fullpath = os.path.join(currdir, filename)
        timestamp = os.path.getmtime(fullpath)
        print(f"{fullpath}: {datetime.fromtimestamp(timestamp)}")
